Bug 69697 - Background color messed with numbered paragraphs
Summary: Background color messed with numbered paragraphs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph Writer-UX
  Show dependency treegraph
 
Reported: 2013-09-23 09:15 UTC by kaesezeh
Modified: 2018-10-11 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example with screenshots (33.88 KB, application/vnd.oasis.opendocument.text)
2013-09-23 09:15 UTC, kaesezeh
Details
Screeenshot (6.61 KB, image/png)
2015-06-09 21:36 UTC, Yan Pas
Details
screenshots of behaviour (50.58 KB, application/pdf)
2015-06-09 23:36 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaesezeh 2013-09-23 09:15:13 UTC
Created attachment 86349 [details]
example with screenshots

This is how to recreate the bug:

1) open attached document and go to page 1
2) move the mouse pointer between "1.1" and "1.1 XXX of 1.1" and click left mouse button
3) move the mouse pointer down to directly behind "XXX of 2.2.1" and release mouse button
4) click backround color button for yellow background.

The result is shown in the upper screenshot on page 2 when what one would want to see is on the lower screenshot. That result can only be obtained with a second highlighting etc. process that does NOT begin in a numbered paragraph.
Comment 1 tommy27 2013-10-05 18:13:59 UTC
well, I can reproduce issue on 4.1.2.3 under Win7 64bit if the selection starts at the level of: "1.1 XXX of 1.1" then background color is applied only on a few lines

but if the selection starts from the white line before "1.1 XXX of 1.1" the backround color is applied to the whole selection.

I agree this is a bug since the color should be applied the the whole selection regardless of the starting point.

it's not a new bug though... I can reproduce it with older LibO releases (up to 3.3.3) and affects OOo 3.3.0 and AOO 4.0.0 as well.

so correct version is INHERITED FROM OOo
Comment 2 tommy27 2013-10-05 18:17:31 UTC
please take a look at Bug 52525. I think you are descibing a very similar (maybe the same) issue.
Comment 3 Harald Koester 2013-10-10 15:46:32 UTC
Reproduced with 4.1.2.3 und Win7 32bit.

I think this is not a duplicate of bug 52525, hence there are several differences:
(1) in 52525 the background colour for fields is used and not the general background colour,
(2) in 52525 the colour is changes unintendedly.
(3) in 52525 only the numbers theirselves got background colours and not the whole line.
(4) in 52525 the background colour toggles, if you move the cursor.
Comment 4 tommy27 2013-10-10 15:51:28 UTC
Ok. let's consider this as a separate issue.
adding Writer expert to CC list.
Comment 5 QA Administrators 2015-04-19 03:22:24 UTC Comment hidden (obsolete)
Comment 6 Gordo 2015-04-23 00:03:58 UTC
Still reproducible with attached document.

I could not reproduce this from scratch.  Maybe it is a combination of setting Outline Numbering in the Tools menu and using Format Bullets and Numbering Options.  The document has numbering over two sections, so maybe there is something about selecting over these two objects.

If you select from "1.2" through "2.1" and change the background colour, then the paragraph numbered "2" is not changed but "1.1" and "2.2" are changed.

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 7 Yan Pas 2015-06-09 21:36:48 UTC
Created attachment 116430 [details]
Screeenshot

Can't reproduce on 4.4.2 Windows 7
Comment 8 Gordo 2015-06-09 23:36:07 UTC
Created attachment 116431 [details]
screenshots of behaviour

There is also a difference between using the background colour on the toolbar and in the paragraph dialogue.

After copying the document into a new one, taking care to add a paragraph outside the last section otherwise that section does not get copied, I was able to apply the background colour to all of it as the original document had in the desired result.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 9 QA Administrators 2016-09-20 10:01:06 UTC Comment hidden (obsolete)
Comment 10 Yan Pas 2016-09-21 20:51:04 UTC
linux mint 18, lo 5.1.5, reproducible
Comment 11 QA Administrators 2018-05-31 02:53:23 UTC Comment hidden (spam)